

kl_time_please  equ &bd0d

; USED TO RANDOMIZE QUESTS BY DAY
daycount:
  defb 0

; USED TO TELL IF IT IS DAY OR NIGHT
nighttime:
  defb 0

timestamphidden:
  defb "000",255

updatestatusbartime:
  call kl_time_please
  ld a,h               ; CHANGE TO LD A,E TO GET LONGER TIME PERIODS
  call convbytetostr
  ld hl,bytetostring
  ld de,timestamphidden
  ldi
  ldi 
  ldi

  ld a,(timestamphidden+0)
  cp "0"
  jr z,changenighttoday
  cp "2"
  jr z,changedaytonight

  ld hl,screenadr+1600+160+4
  ld de,timestamphidden
  call gra_wr_string2
ret

changenighttoday:
  ld hl,pens
  xor a
  ld (nighttime),a
  jr dopensswap
changedaytonight:
  ld hl,pens_night
  ld a,1
  ld (nighttime),a
  dopensswap:
  push af   ; STORE NIGHT DAY TIME VAR
  ; CHANGE PEN ONE AT A TIME
  ld a,(changedpenid-1)
  ld c,a
  ld b,0
  ; FIND PEN TO CHANGE
  add hl,bc
  ; SET INK
  ld c,(hl)   
  ld b,c  
  call scr_set_ink

  pop af     ; CHECK IF DAY OR NIGHT
  or a
  jr z,decrementpen

  ; INCREMENT PEN (MAKE DAY)
  ld a,(changedpenid-1)
  inc a
  cp 16
  ret z
  setchangedpen:
  ld (changedpenid-1),a
ret

incrementdaycount:
  ld hl,daycount
  inc (hl)
  ; CLEAR COMPLETED RANDOM QUESTS
  call clearcompletedquests
  xor a
  ld (changedpenid-1),a
  ; RESET SHOP INVENTORIES
  ld (inventorygeneratedtoday),a
  jr setchangedpen

; FIND CHANGED PEN
; INPUTS
; D = CHECK FOR DAY 0 OR NIGHT 1
decrementpen:
  ld a,1:changedpenid
  dec a
  cp 255  ; DON'T GO BEYOND PEN 0
  ret z
  ld (changedpenid-1),a
  or a
  jr z,incrementdaycount
  jr setchangedpen