; TILE MAP INDEXES TO BUILD BIGGER SPRITE
; 255 = END OF SPRITE
; 254 = START OF NEW LINE, MOVE UP LEVEL IN HEIGHT
; 253 = START OF NEW LINE, MOVE BACK IN DEPTH
; WIDTH, HEIGHT, TILE NUMBERS

; CHECK OBJECT TILE TO SEE IF WE NEED TO FLIP SPRITE VERTICALLY
; 1 = NORMAL OBJECT
; 4 = VERTICALLY FLIPPED OBJECT
; 5 = VERTICALLY FLIPPED NON OBSTRUCTIONAL OBJECT
; OBJECT TYPES
; 246 = VERTICALLY FLIPPED SPRITE
; VALUES
; 1 = REPEAT LAST ID FOUR TIMES
s_rainbow:
  defb 1,2,1  ; W / H / DEFAULT OBJECT TYPE
  defb 27,254
  defb 46,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_rainbow2:
  defb 1,2,1  ; W / H / DEFAULT OBJECT TYPE
  defb 227,254
  defb 246,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_narniadoor:
  defb 1,1,1 ; W / H/ DEF OBJ TYPE
  defb 124,255
  defb 243,0,0 ; FROM MAZE TO NARNIA
s_narniadoorback:
  defb 1,1,1 ; W / H/ DEF OBJ TYPE
  defb 124,255
  defb 241,0,0 ; FROM NARNIA TO MAZE
s_doorforest:
  defb 3,2,1 ; W / H / DEFAULT OBJECT TYPE
  defb 0,0,0,254 ; MOVE TO UPPER LEVEL
  defb 20,7,220,255
  defb 0;252,1,0
s_windowwestern:
  defb 2,2,1 ; W / H / DEFAULT OBJECT TYPE
  defb 0,0,254 ; MOVE TO UPPER LEVEL
  defb 214,14,255
  defb 0
s_windowforest:
  defb 2,2,1 ; W / H / DEFAULT OBJECT TYPE
  defb 0,0,254 ; MOVE TO UPPER LEVEL
  defb 41,241,255
  defb 0
s_farm:
  defb 10,6,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 83,83,83,83,134,0,0,83,83,83,83,134,253
  defb 18,0,1,0,1,18,253
  defb 18,0,1,0,1,18,253
  defb 18,0,1,0,1,18,253
  defb 18,91,102,125,91,0,1,0,18,253
  defb 83,93,93,93,93,83,1,83,134,255
  defb 255,2,4; OBJECT TYPE, TILE X, TILE Y
s_cross:
  defb 1,1,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 64,255
  defb 0
s_church:
  defb 6,6,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 63,0,0,64,0,64,253
  defb 0,0,0,0,63,0,253
  defb 63,0,0,0,0,64,253
  defb 0,68,69,70,0,0,253
  defb 0,71,72,73,0,0,254
  defb 0,74,75,76,0,0,255
  defb 247,2,3 ; OBJECT TYPE, TILE X, TILE Y
;s_brickhouse:
;  defb 4,3,1 ; WIDTH IN TILES / DEFAULT OBJECT TYPE
;  defb 88,53,92,88,253 ; LOWER
;  defb 62,62,62,62,253 ; UPPER
;  defb 90,90,90,90,255 ; UPPER
;  defb 255,1,0; OBJECT TYPE, TILE X, TILE Y
s_loghouse:
  defb 4,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 91,102,125,91,253 ; LOWER
  defb 93,93,93,93,255 ; UPPER
  defb 255,1,0; OBJECT TYPE, TILE X, TILE Y
;s_generalstore:
;  defb 4,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
;  defb 125,102,125,125,253 ; LOWER
;  defb 93,93,93,93,255 ; UPPER
;  defb 255,1,0; OBJECT TYPE, TILE X, TILE Y
s_livery:
  defb 4,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 125,125,102,125,253 ; LOWER 
  defb 93,93,93,93,255 ; UPPER
  defb 236,2,0; OBJECT TYPE, TILE X, TILE Y
s_saloon:
  defb 4,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 125,125,102,125,253 ; LOWER 
  defb 93,93,93,93,255 ; UPPER
  defb 236,2,0; OBJECT TYPE, TILE X, TILE Y
s_wigwam:
  defb 2,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 34,35,254 ; LOWER
  defb 32,33,255 ; UPPER
  defb 248,0,0; OBJECT TYPE, TILE X, TILE Y
s_wigwaminsidetoprow:
  defb 20,2,1 ; WIDTH / HEIGHT / DEF OBJ TYPE
  defb 133,1,215,54,1,54,54,54,15,133,1,253
  defb 133,1,133,1,133,1,133,1,255
  defb 0 ; OBJ TYPE, TILE X, TILE Y
s_wigwaminside:
  defb 20,7,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 133,1,13,0,1,0,0,0,213,133,1,253
  defb 133,1,13,0,1,0,0,0,213,133,1,253
  defb 133,1,13,0,1,0,0,0,213,133,1,253
  defb 133,1,13,0,1,0,0,0,213,133,1,253
  defb 133,1,13,0,1,0,0,0,213,133,1,253
  defb 133,1,13,0,1,0,0,0,213,133,1,253
  defb 133,1,13,0,1,0,0,0,213,133,1,255
  defb 0 ; OBJ TYPE, TILE X, TILE Y
s_wigwaminsidebottomrow:
  defb 20,2,4 ; WIDTH / HEIGHT / DEF OBJ TYPE
  defb 133,1,133,1,133,1,133,1,253
  defb 133,1,215,54,54,54,94,54,54,54,54,15,133,1,255
  defb 252,9,1 ; OBJECT TYPE, TILE X, TILE Y

s_target:
  defb 1,1,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 52,255 ; UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_bush:
  defb 2,1,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb bigtreelefttop,bigtreerighttop,255 ; UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_deadbush:
  defb 2,1,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb bigtreeleftbare,bigtreerightbare,255 ; UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_bushclump:
  defb 4,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb bigtreelefttop,bigtreerighttop,bigtreelefttop,bigtreerighttop,253 ; UPPER
  defb 0,bigtreelefttop,bigtreerighttop,0,255 ; UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_hedgehoriz:
  defb 8,1,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb bigtreelefttop,bigtreerighttop,bigtreelefttop,bigtreerighttop,bigtreelefttop,bigtreerighttop,bigtreelefttop,bigtreerighttop,255 ; UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_hedgevert:
  defb 2,3,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb bigtreelefttop,bigtreerighttop,253
  defb bigtreelefttop,bigtreerighttop,253
  defb bigtreelefttop,bigtreerighttop,255 ; UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_bigtree:
  defb 2,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb bigtreetrunkleft,bigtreetrunkright,254 ; LOWER
  defb bigtreelefttop,bigtreerighttop,255 ; UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_bigtreebare:
  defb 2,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb bigtreetrunkleft,bigtreetrunkright,254 ; LOWER
  defb bigtreeleftbare,bigtreerightbare,255 ; UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_pinetree:
  defb 2,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb pinetreebottomleft,28,254 ; LOWER
  defb pinetreetopleft,pinetreetopright,255 ; UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_bigcactus:
  defb 2,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 25,26,254 ; LOWER
  defb 135,36,255 ; UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_smallmountain:
  defb 3,2,1 ;W/H / DEFAULT OBJECT TYPE
  defb 251,49,51,253 ; LOWER
  defb 29,78,229,255 ; MID
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_newmountain:
  defb 5,4,1 ;W/H / DEFAULT OBJECT TYPE
  defb 251,49,49,49,51,253 ; LOWER
  defb 48,37,84,237,248,253 ; MID
  defb 29,80,81,82,229,254 ; MID
  defb 0,29,78,229,0,255 ;UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_bignewmountain:
  defb 8,6,1 ;W/H / DEFAULT OBJECT TYPE
  defb 251,49,1,49,51,253 ; LOWER
  defb 48,37,84,84,84,84,237,248,253 ; LOWER
  defb 48,80,37,84,84,237,82,248,253 ; MID
  defb 29,80,80,81,81,82,82,229,253 ; MID
  defb 0,29,80,81,81,82,229,0,254 ; MID
  defb 0,0,29,78,78,229,0,0,255 ;UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_bignewmountaintophalf:
  defb 8,3,1 ;W/H / DEFAULT OBJECT TYPE
  defb 29,80,80,81,81,82,82,229,253 ; MID
  defb 0,29,80,81,81,82,229,0,254 ; MID
  defb 0,0,29,78,78,229,0,0,255 ;UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_bignewmountainleft:
  defb 4,6,1 ;W/H / DEFAULT OBJECT TYPE
  defb 251,49,49,49,253 ; LOWER
  defb 48,37,84,84,253 ; LOWER
  defb 48,80,37,84,253 ; MID
  defb 29,80,80,81,253 ; MID
  defb 0,29,80,81,254 ; MID
  defb 0,0,29,78,255 ;UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_bignewmountainright:
  defb 4,6,1 ;W/H / DEFAULT OBJECT TYPE
  defb 49,49,49,51,253 ; LOWER
  defb 84,84,237,248,253 ; LOWER
  defb 84,237,82,248,253 ; MID
  defb 81,82,82,229,253 ; MID
  defb 81,82,229,0,254 ; MID
  defb 78,229,0,0,255 ;UPPER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_palm:
  defb 2,2,1 ; W/H / DEFAULT OBJECT TYPE
  defb 57,58,254 ; LOWER
  defb 55,56,255 ; UPPER
  defb 0; OBJECT TYPE, TILE 1, TILE 2
s_castle:
  defb 3,4,1 ; W / H / DEFAULT OBJECT TYPE
  defb 222,126,22,253
  defb 238,123,38,253
  defb 119,120,121,254
  defb 116,117,118,255
  defb 0; OBJECT TYPE, TILE X, TILE Y

; 149 - newwall top
; 150 - backright corner
; 151 - backright
; 152 - backleft corner
; 153 - backleft
; 154 - right top
; 155 - left top
; 156 - right front top
; 157 - left front top

s_roundhouse:
  defb 3,3,1 ; W / H / DEFAULT OBJECT TYPE
  defb 222,123,22,253
  defb 119,120,121,254
  defb 116,117,118,255
  defb 247,1,0; OBJECT TYPE, TILE X, TILE Y
s_castlegate:
  defb 4,2,1 ; W / H / DEFAULT OBJECT TYPE
  defb 126,216,216,126,254
  defb 126,126,126,126,255
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_thatchhouse:
  defb 3,4,1 ; W / H / DEFAULT OBJECT TYPE
  defb 11,112,211,253
  defb 108,109,110,253
  defb 105,106,107,254
  defb 116,117,118,255
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_thatchhousefront: 
  defb 4,3,1 ; W / H / DEFAULT OBJECT TYPE
  defb 11,99,122,211,253
  defb 6,131,131,206,254
  defb 128,130,130,127,255
  defb 255,1,0; OBJECT TYPE, TILE X, TILE Y
;s_thatchhouseback:
;  defb 4,3,1 ; W / H / DEFAULT OBJECT TYPE
;  defb 11,112,112,211,253
;  defb 6,131,131,206,254
;  defb 128,130,130,127,255
;  defb 0; OBJECT TYPE, TILE X, TILE Y


; RUGGED STONE WALL
;s_stonewallback:
;  defb 6,5,1 ; W / H / DEFAULT OBJ TYPE
;  defb 10,0,0,0,0,210,253;
;  defb 21,0,0,0,0,221,253;
;  defb 88,0,0,0,0,88,253;
;  defb 88,92,92,92,92,88,254;
;  defb 8,90,90,90,90,208,255
;  defb 0; OBJECT TYPE, TILE X, TILE Y
; RUGGED STONE WALL
;s_stonewallfront:
;  defb 4,2,1 ; W / H / DEFAULT OBJ TYPE
;  defb 92,9,0,209,254;
;  defb 90,90,90,90,255
;  defb 0; OBJECT TYPE, TILE X, TILE Y

s_stonewallhoriz:
  defb 5,2,1 ; W / H / DEFAULT OBJ TYPE
  defb 92,1,254
  defb 90,1,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_stonewallvert:
  defb 1,4,1 ; W / H / DEFAULT OBJ TYPE
  defb 88,253
  defb 88,253
  defb 88,253
  defb 88,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_stonewalltopleft:
  defb 2,2,1 ; W / H / DEFAULT OBJ TYPE
  defb 88,92,254
  defb 8,90,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_stonewalltopright:
  defb 2,2,1 ; W / H / DEFAULT OBJ TYPE
  defb 92,88,254
  defb 90,208,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_stonewallbottomleft:
  defb 2,1,1 ; W / H / DEFAULT OBJ TYPE
  defb 10,92,254
  defb 21,90,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_stonewallbottomright:
  defb 2,2,1 ; W / H / DEFAULT OBJ TYPE
  defb 92,210,254
  defb 90,221,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_stonewallarchway:
  defb 3,2,1 ; W / H / DEFAULT OBJ TYPE
  defb 9,0,209,254
  defb 90,90,90,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y

;--------------------------------------------
; INSIDE BUILDINGS
;--------------------------------------------

s_cabinwallh:
  defb 20,1,4; W / H / DEFAULT OBJECT TYPE
  defb 85,85,1,1,1,1,85,85,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y - 254 = INTERNAL DOOR
s_cabinwallhbottom:
  defb 18,1,1; W / H / DEFAULT OBJECT TYPE
  defb 85,1,1,1,1,85,255
  defb 252,6,0 ; OBJECT TYPE, TILE X, TILE Y - 252 = EXIT BUILDING
s_storewallhbottom:
  defb 18,1,1; W / H / DEFAULT OBJECT TYPE
  defb 85,1,1,1,1,85,255
  defb 252,11,0 ; OBJECT TYPE, TILE X, TILE Y - 252 = EXIT BUILDING
s_cabinwallleft:
  defb 1,10,1; W / H / DEFAULT OBJECT TYPE
  defb 12,253
  defb 216,253
  defb 216,253
  defb 216,253
  defb 216,253
  defb 216,253
  defb 216,253
  defb 216,253
  defb 216,254 
  defb 12,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_cabinwallright:
  defb 1,10,1; W / H / DEFAULT OBJECT TYPE
  defb 212,253
  defb 16,253
  defb 16,253
  defb 16,253
  defb 16,253
  defb 16,253
  defb 16,253
  defb 16,253
  defb 16,254
  defb 212,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_cabinwalldiv:
  defb 2,6,1; W / H / DEFAULT OBJECT TYPE
  defb 23,223,253
  defb 16,216,253
  defb 16,216,253
  defb 16,216,253
  defb 16,216,254
  defb 212,12,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y

s_stonebuildingwallh:
  defb 11,1,4; W / H / DEFAULT OBJECT TYPE
  defb 245,136,1,136,136,136,136,45,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y

s_stonebuildingwallhbottom:
  defb 11,1,1; W / H / DEFAULT OBJECT TYPE
  defb 245,136,1,136,136,136,136,45,255
  defb 252,5,0 ; OBJECT TYPE, TILE X, TILE Y

s_stonebuildingwallleft:
  defb 1,7,1; W / H / DEFAULT OBJECT TYPE
  defb 240,253
  defb 240,253
  defb 240,253
  defb 240,253
  defb 240,253
  defb 240,253
  defb 240,253
  defb 240,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y

s_stonebuildingwallright:
  defb 1,7,1; W / H / DEFAULT OBJECT TYPE
  defb 40,253
  defb 40,253
  defb 40,253
  defb 40,253
  defb 40,253
  defb 40,253
  defb 40,253
  defb 40,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y


s_woodenroof:
  defb 4,5,1; W / H / DEFAULT OBJECT TYPE
  defb 23,114,114,223,253
  defb 16,23,223,216,253
  defb 16,16,216,216,253
  defb 217,16,216,17,254
  defb 0,217,17,0,255
  defb 0 ; OBJECT TYPE, TILE X, TILE Y

; TABLE
s_table:
  defb 4,3,1 ; W / H / DEFAULT OBJECT TYPE
  defb 111,0,0,111,253 
  defb 85,85,85,85,253
  defb 85,85,85,85,255
  defb 0; OBJECT TYPE, TILE X, TILE Y

;--------------------------------------------
; WATER
;--------------------------------------------
s_water:
  defb 6,5,2 ; W / H / DEFAULT OBJECT TYPE
  defb 0,19,103,103,219,0,253       ; UPPER
  defb 19,100,100,100,100,219,253   ; MID
  defb 230,100,100,100,100,30,253   ; MID
  defb 96,100,100,100,100,98,253    ; MID
  defb 0,96,97,97,98,0,255          ; LOWER
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_watervertical:
  defb 5,5,2 ; W / H / DEFAULT OBJECT TYPE
  defb 0,230,100,100,30,253 ; UPPER
  defb 19,100,100,100,30,253 ; UPPER
  defb 230,100,100,100,30,253 ; UPPER
  defb 230,100,100,100,30,253 ; UPPER
  defb 96,100,100,100,30,255 ; UPPER
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_watervertical2:
  defb 5,5,2 ; W / H / DEFAULT OBJECT TYPE
  defb 230,100,100,30,0,253 ; UPPER
  defb 230,100,100,100,219,253 ; UPPER
  defb 230,100,100,100,30,253 ; UPPER
  defb 230,100,100,100,30,253 ; UPPER
  defb 230,100,100,100,98,255 ; LOWER
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_watervertical3:
  defb 5,5,2 ; W / H / DEFAULT OBJECT TYPE
  defb 230,100,100,100,30,253 ; UPPER
  defb 230,100,100,100,30,253 ; UPPER
  defb 230,100,100,100,30,253 ; UPPER
  defb 230,100,100,100,30,253 ; UPPER
  defb 230,100,100,100,30,255 ; LOWER
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_waterhoriz:
  defb 5,5,2 ; W / H / DEFAULT OBJECT TYPE
  defb 19,103,219,0,0,253 ; LOWER
  defb 100,100,100,103,103,253 ; UPPER
  defb 100,1,253 ; UPPER
  defb 97,100,100,100,100,253 ; UPPER
  defb 0,96,97,97,98,255 ; UPPER
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
s_waterhorizthin:
  defb 5,3,2 ; W / H / DEFAULT OBJECT TYPE
  defb 103,1,253 ; LOWER
  defb 100,1,253 ; UPPER
  defb 97,97,97,97,97,255 ; UPPER
  defb 0 ; OBJECT TYPE, TILE X, TILE Y
; BRIDGE
s_bridge:
  defb 4,5,1 ; W / H / DEFAULT OBJECT TYPE
  defb 79,85,85,79,253
  defb 79,85,85,79,253
  defb 79,85,85,79,253
  defb 79,85,85,79,253
  defb 79,85,85,79,255
  defb 0; OBJECT TYPE, TILE X, TILE Y
s_minemountain:
  defb 5,4,1 ;W/H/ DEFAULT OBJECT TYPE
  defb 251,49,50,49,51,253 ; LOWER
  defb 48,37,84,237,248,253 ; MID
  defb 29,80,81,82,229,254 ; MID
  defb 0,29,78,229,0,255 ;UPPER
  defb 253,2,0; OBJECT TYPE, TILE X, TILE Y
s_minemountain2:
  defb 5,4,1 ;W/H/ DEFAULT OBJECT TYPE
  defb 251,49,50,49,51,253 ; LOWER
  defb 48,37,84,237,248,253 ; MID
  defb 29,80,81,82,229,254 ; MID
  defb 0,29,78,229,0,255 ;UPPER
  defb 245,2,0; OBJECT TYPE, TILE X, TILE Y
s_minetunneltop:
  defb 3,5,1 ; W/H / DEFAULT OBJECT TYPE
  defb 13,2,213,253
  defb 13,2,213,253
  defb 13,2,213,253
  defb 13,2,213,253
  defb 13,2,213,255
  defb 251,1,4; OBJECT TYPE, TILE X, TILE Y - 254 = ENTER CACTUS LAND
; MINE TOP 2 TIlE OBJ = 241 GO TO NARNIA WORLD
s_minetunnelbottom:
  defb 3,5,1 ; W/H / DEFAULT OBJECT TYPE
  defb 13,2,213,253 
  defb 13,2,213,253
  defb 13,2,213,253
  defb 13,2,213,253
  defb 13,2,213,255
  defb 252,1,0; OBJECT TYPE, TILE X, TILE Y - 253 - ENTER FOREST LAND
; MINE BOTTOM 2 TIlE OBJ = 242 GO BACK TO MAZE HOUSE

;--------------------------------------------
; QUEST SPRITES
;--------------------------------------------
s_indianman:
  defb 1,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 61,254 ; LOWER
  defb 60,255 ; UPPER
  defb 234,0,0; OBJECT TYPE, TILE X, TILE Y
; OBJECTS THAT CAN BE PICKED UP
s_moneybag:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb moneybag,255
  defb 250,0,0; OBJECT TYPE, TILE X, TILE Y
;s_peacepipe:
;  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
;  defb peacepipe,255
;  defb 250,0,0; OBJECT TYPE, TILE X, TILE Y
s_parcel:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb parcel,255
  defb 250,0,0; OBJECT TYPE, TILE X, TILE Y
s_key:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb key,255
  defb 250,0,0; OBJECT TYPE, TILE X, TILE Y
;s_feather:
;  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
;  defb feather,255
;  defb 250,0,0; OBJECT TYPE, TILE X, TILE Y
;s_flippers:
;  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
;  defb flipper_id,255
;  defb 250,0,0; OBJECT TYPE, TILE X, TILE Y
s_rope:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb rope_id,255
  defb 250,0,0; OBJECT TYPE, TILE X, TILE Y


; QUEST CHARACTERS
; OBJECT TYPE 238 - RANDOM CONVERSATION
; OBJECT TYPE 246 - FLIPPED SPRITE
; OBJECT TYPE 249 - RANDOM QUEST
s_indianwoman:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb 95,255
  defb 234,0,0; OBJECT TYPE, TILE X, TILE Y
s_indianmanlove:
  defb 1,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 61,254 ; LOWER
  defb 60,255 ; UPPER
  defb 234,0,0; OBJECT TYPE, TILE X, TILE Y
s_indianmanrandom:
  defb 1,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
  defb 61,254 ; LOWER
  defb 60,255 ; UPPER
  defb 249,0,0; OBJECT TYPE, TILE X, TILE Y
;s_indianmanconv:
;  defb 1,2,1 ; WIDTH / HEIGHT / DEFAULT OBJECT TYPE
;  defb 61,254 ; LOWER
;  defb 60,255 ; UPPER
;  defb 238,0,0; OBJECT TYPE, TILE X, TILE Y 
s_settlerman:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb 59,255
  defb 234,0,0; OBJECT TYPE, TILE X, TILE Y
s_shopkeeper:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb 87,255
  defb 235,0,0; OBJECT TYPE, TILE X, TILE Y
;s_arrowman:
;  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
;  defb 59,255
;  defb 234,0,0; OBJECT TYPE, TILE X, TILE Y
s_settlermanrandom:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb 59,255
  defb 249,0,0; OBJECT TYPE, TILE X, TILE Y
s_oldmanrandom:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb 87,255
  defb 249,0,0; OBJECT TYPE, TILE X, TILE Y
s_indianwomanrandom:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb 95,255
  defb 249,0,0; OBJECT TYPE, TILE X, TILE Y
s_girlrandom:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb 129,255
  defb 249,0,0; OBJECT TYPE, TILE X, TILE Y
s_girlnarnia:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb 129,255
  defb 244,0,0; OBJECT TYPE, TILE X, TILE Y
s_mimomum:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb 129,255
  defb 237,0,0; OBJECT TYPE, TILE X, TILE Y
s_oldmanfamine:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb 87,255
  defb 234,0,0; OBJECT TYPE, TILE X, TILE Y
s_oldmanarchery:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb 87,255
  defb 234,0,0; OBJECT TYPE, TILE X, TILE Y

s_letter:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb letter,255
  defb 250,0,0 ; OBJECT TYPE, TILE X, TILE Y
s_map:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb map_id,255
  defb 250,0,0 ; OBJECT TYPE, TILE X, TILE Y
s_fencehoriz:
  defb 1,1,1 ; W/H / DEFAULT OBJECT TYPE
  defb 83,255
  defb 2,0,0; OBJECT TYPE, TILE X, TILE Y ; MAKE FENCE WATER OBJ SO ARROW WILL PASS OVER

; OBJECT TILE TYPES
; 0 = EMPTY SPACE
; 1 = PHYSICAL OBSTRUCTION
; 2 = WATER
; 3 = MOUNTAIN
; 249 = RANDOM QUEST
; 250 = MONEY
; 254 = CAN MOVE BUT STILL OBJECT, EG. BRIDGE OBJECT
; 255 = LOCKED DOOR

;; number of tiles we handles

letters_gfx:
; NUMBERS - STARTING AT ASCII 32 - 6/6 PIXELS HIGH
; 0 SPACE
        DB      #C0, #C0
        DB      #C0, #C0
        DB      #C0, #C0
        DB      #C0, #C0
        DB      #C0, #C0
; 1 !
        DB      #84, #C0
        DB      #84, #C0
        DB      #84, #C0
        DB      #C0, #C0
        DB      #84, #C0
; 2 "
        DB      #48, #48
        DB      #6A, #6A
        DB      #C0, #C0
        DB      #C0, #C0
        DB      #C0, #C0
; 3 #
        DB      #48, #48
        DB      #0C, #48
        DB      #48, #48
        DB      #0C, #48
        DB      #48, #48
; 4 $
        DB      #2E, #48
        DB      #1D, #C0
        DB      #2E, #6A
        DB      #95, #48
        DB      #0C, #6A
; 5 %
        DB      #48, #48
        DB      #C0, #48
        DB      #84, #C0
        DB      #48, #C0
        DB      #48, #48
; 6 +
        DB      #84, #C0
        DB      #84, #C0
        DB      #0C, #48
        DB      #84, #C0
        DB      #84, #C0
; 7 '
        DB      #84, #C0
        DB      #95, #C0
        DB      #C0, #C0
        DB      #C0, #C0
        DB      #C0, #C0
; 8 (
        DB      #84, #C0
        DB      #48, #C0
        DB      #48, #C0
        DB      #48, #C0
        DB      #84, #C0
; 9 )
        DB      #84, #C0
        DB      #C0, #48
        DB      #C0, #48
        DB      #C0, #48
        DB      #84, #C0
; 10 *
        DB      #48, #48
        DB      #84, #C0
        DB      #0C, #48
        DB      #84, #C0
        DB      #48, #48
; 11 +
        DB      #84, #C0
        DB      #84, #C0
        DB      #0C, #48
        DB      #84, #C0
        DB      #84, #C0
; 12 ,
        DB      #C0, #C0
        DB      #C0, #C0
        DB      #C0, #C0
        DB      #84, #C0
        DB      #95, #C0
; 13 _
        DB      #0C, #48
        DB      #C0, #C0
        DB      #C0, #C0
        DB      #C0, #C0
        DB      #C0, #C0
; 14 .
        DB      #C0, #C0
        DB      #C0, #C0
        DB      #C0, #C0
        DB      #C0, #C0
        DB      #84, #C0
; 15 /
        DB      #C0, #48
        DB      #95, #48
        DB      #84, #C0
        DB      #1D, #C0
        DB      #48, #C0
; 16 0
        DB      #2E, #6A
        DB      #48, #48
        DB      #48, #48
        DB      #48, #48
        DB      #2E, #6A
; 17 1
        DB      #84, #C0
        DB      #84, #C0
        DB      #84, #C0
        DB      #84, #C0
        DB      #84, #C0
; 18 2
        DB      #0C, #6A
        DB      #C0, #48
        DB      #2E, #48
        DB      #48, #C0
        DB      #0C, #48
; 19 3
        DB      #0C, #6A
        DB      #C0, #48
        DB      #0C, #48
        DB      #C0, #48
        DB      #0C, #6A
; 20 4
        DB      #48, #C0
        DB      #48, #C0
        DB      #48, #48
        DB      #0C, #48
        DB      #C0, #48
; 21 5
        DB      #0C, #48
        DB      #48, #C0
        DB      #0C, #6A
        DB      #C0, #48
        DB      #0C, #6A
; 22 6
        DB      #48, #C0
        DB      #48, #C0
        DB      #0C, #6A
        DB      #48, #48
        DB      #0C, #6A
; 23 7
        DB      #0C, #48
        DB      #C0, #48
        DB      #C0, #48
        DB      #C0, #48
        DB      #C0, #48
; 24 8
        DB      #2E, #6A
        DB      #48, #48
        DB      #0C, #48
        DB      #48, #48
        DB      #2E, #6A
; 25 9
        DB      #2E, #48
        DB      #48, #48
        DB      #2E, #48
        DB      #C0, #48
        DB      #C0, #48
; 26 colon
        DB      #C0, #C0
        DB      #84, #C0
        DB      #C0, #C0
        DB      #84, #C0
        DB      #C0, #C0
; 27 ;
        DB      #84, #C0
        DB      #C0, #C0
        DB      #84, #C0
        DB      #95, #C0
        DB      #C0, #C0
; 28 <
        DB      #C0, #48
        DB      #84, #C0
        DB      #48, #C0
        DB      #84, #C0
        DB      #C0, #48
; 29 =
        DB      #C0, #C0
        DB      #0C, #48
        DB      #C0, #C0
        DB      #0C, #48
        DB      #C0, #C0
; 30 >
        DB      #48, #C0
        DB      #84, #C0
        DB      #C0, #48
        DB      #84, #C0
        DB      #48, #C0
; 31 ?
        DB      #0C, #6A
        DB      #C0, #48
        DB      #84, #6A
        DB      #C0, #C0
        DB      #84, #C0
; 32 @
        DB      #2E, #6A
        DB      #48, #48
        DB      #0C, #6A
        DB      #48, #C0
        DB      #2E, #6A

; ALPHABET
; 33 A
        DB      #2E, #6A
        DB      #48, #48
        DB      #0C, #48
        DB      #48, #48
        DB      #48, #48
; 34 B
        DB      #0C, #6A
        DB      #48, #48
        DB      #0C, #C0
        DB      #48, #48
        DB      #0C, #6A
; 35 C
        DB      #2E, #48
        DB      #48, #C0
        DB      #48, #C0
        DB      #48, #C0
        DB      #2E, #48
; 36 D
        DB      #0C, #C0
        DB      #48, #48
        DB      #48, #48
        DB      #48, #48
        DB      #0C, #C0
; 37 E
        DB      #0C, #48
        DB      #48, #C0
        DB      #0C, #C0
        DB      #48, #C0
        DB      #0C, #48
; 38 F
        DB      #0C, #48
        DB      #48, #C0
        DB      #0C, #C0
        DB      #48, #C0
        DB      #48, #C0
; 39 G
        DB      #2E, #48
        DB      #48, #C0
        DB      #48, #48
        DB      #48, #48
        DB      #2E, #48
; 40 H
        DB      #48, #48
        DB      #48, #48
        DB      #0C, #48
        DB      #48, #48
        DB      #48, #48
; 41 I
        DB      #0C, #48
        DB      #84, #C0
        DB      #84, #C0
        DB      #84, #C0
        DB      #0C, #48
; 42 J
        DB      #0C, #48
        DB      #C0, #48
        DB      #C0, #48
        DB      #C0, #48
        DB      #0C, #C0
; 43 K
        DB      #48, #48
        DB      #48, #48
        DB      #0C, #C0
        DB      #48, #48
        DB      #48, #48
; 44 L
        DB      #48, #C0
        DB      #48, #C0
        DB      #48, #C0
        DB      #48, #C0
        DB      #0C, #48
; 45 M
        DB      #48, #48
        DB      #0C, #48
        DB      #1D, #48
        DB      #48, #48
        DB      #48, #48
; 46 N
        DB      #0C, #6A
        DB      #48, #48
        DB      #48, #48
        DB      #48, #48
        DB      #48, #48
; 47 O
        DB      #2E, #6A
        DB      #48, #48
        DB      #48, #48
        DB      #48, #48
        DB      #2E, #6A
; 48 P
        DB      #0C, #6A
        DB      #48, #48
        DB      #0C, #6A
        DB      #48, #C0
        DB      #48, #C0
; 49 Q
        DB      #2E, #48
        DB      #48, #48
        DB      #48, #48
        DB      #2E, #48
        DB      #C0, #48
; 50 R
        DB      #2E, #48
        DB      #48, #48
        DB      #0C, #C0
        DB      #48, #48
        DB      #48, #48
; 51 S
        DB      #2E, #48
        DB      #48, #C0
        DB      #2E, #6A
        DB      #C0, #48
        DB      #0C, #6A
; 52 T
        DB      #0C, #48
        DB      #84, #C0
        DB      #84, #C0
        DB      #84, #C0
        DB      #84, #C0
; 53 U
        DB      #48, #48
        DB      #48, #48
        DB      #48, #48
        DB      #48, #48
        DB      #2E, #6A
; 54 V
        DB      #48, #48
        DB      #48, #48
        DB      #48, #48
        DB      #1D, #48
        DB      #84, #C0
; 55 W
        DB      #48, #48
        DB      #48, #48
        DB      #1D, #48
        DB      #0C, #48
        DB      #48, #48
; 56 X
        DB      #48, #48
        DB      #1D, #48
        DB      #84, #C0
        DB      #1D, #48
        DB      #48, #48
; 57 Y
        DB      #48, #48
        DB      #48, #48
        DB      #2E, #6A
        DB      #84, #C0
        DB      #84, #C0
; 58 Z
        DB      #0C, #48
        DB      #C0, #48
        DB      #84, #C0
        DB      #48, #C0
        DB      #0C, #48

scrollright:
        DB      #0C, #08, #00, #00
        DB      #30, #8C, #00, #00
        DB      #7C, #64, #08, #00
        DB      #3C, #B8, #88, #00
        DB      #94, #B8, #08, #00
        DB      #94, #7C, #88, #00
        DB      #C0, #7C, #08, #00
        DB      #C0, #7C, #88, #00
        DB      #C0, #38, #08, #00
        DB      #C0, #EC, #00, #00
        DB      #94, #88, #00, #00
        DB      #C0, #AC, #00, #00
        DB      #C0, #6C, #00, #00
        DB      #C0, #2C, #00, #00
        DB      #94, #88, #00, #00
        DB      #C0, #EC, #00, #00
        DB      #C0, #6C, #00, #00
        DB      #C0, #2C, #00, #00
        DB      #C0, #6C, #00, #00
        DB      #C0, #2C, #00, #00
        DB      #C0, #6C, #00, #00
        DB      #94, #EC, #00, #00
        DB      #C0, #88, #00, #00
        DB      #C0, #6C, #00, #00
        DB      #C0, #6C, #00, #00
        DB      #C0, #2C, #00, #00
        DB      #94, #B8, #88, #00
        DB      #C0, #7C, #88, #00
        DB      #C0, #3C, #08, #00
        DB      #C0, #94, #88, #00
        DB      #C0, #94, #08, #00
        DB      #C0, #94, #88, #00
        DB      #C0, #94, #08, #00
        DB      #C0, #D4, #88, #00
        DB      #C0, #94, #08, #00
        DB      #C0, #7C, #08, #00
        DB      #C0, #38, #08, #00
        DB      #3C, #B8, #08, #00
        DB      #B8, #64, #08, #00
        DB      #CC, #8C, #00, #00
scrollleft2:
        DB      #00, #0C, #0C, #0C
        DB      #04, #8C, #CC, #30
        DB      #4C, #30, #18, #BC
        DB      #98, #FC, #DC, #3C
        DB      #18, #3C, #5C, #68
        DB      #98, #68, #DC, #68
        DB      #4C, #C4, #1C, #68
        DB      #04, #88, #DC, #C0
        DB      #00, #00, #1C, #C0
        DB      #00, #00, #9C, #C0
        DB      #00, #44, #34, #C0
        DB      #00, #04, #E8, #C0
        DB      #00, #44, #68, #C0
        DB      #00, #04, #68, #C0
        DB      #00, #44, #E8, #C0
        DB      #00, #00, #DC, #C0
        DB      #00, #44, #E8, #C0
        DB      #00, #04, #68, #C0
        DB      #00, #44, #68, #C0
        DB      #00, #44, #E8, #C0
        DB      #00, #00, #DC, #68
        DB      #00, #44, #BC, #C0
        DB      #00, #04, #68, #C0
        DB      #00, #44, #68, #C0
        DB      #00, #44, #68, #C0
        DB      #00, #04, #E8, #C0
        DB      #00, #00, #9C, #68
        DB      #00, #00, #9C, #C0
        DB      #00, #00, #5C, #C0
        DB      #00, #00, #9C, #C0
        DB      #00, #00, #1C, #C0
        DB      #00, #00, #DC, #C0
        DB      #00, #00, #4C, #E8
        DB      #4C, #00, #DC, #C0
        DB      #5C, #CC, #1C, #C0
        DB      #9C, #7C, #1C, #C0
        DB      #9C, #C0, #5C, #68
        DB      #5C, #3C, #18, #BC
        DB      #18, #EC, #4C, #74
        DB      #04, #8C, #CC, #CC